% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wssmartis.R
\name{extract_mto_by_freq}
\alias{extract_mto_by_freq}
\title{Fonction d'extraction des données météorologiques (pluies et températures) par décade ou par mois.}
\usage{
extract_mto_by_freq(credential, idstation, date_deb, date_fin, frequence)
}
\arguments{
\item{credential}{Obtenu par l'appel de la fonction get_credential('login','password')}

\item{idstation}{Identifiant de la station météo. Vous devez disposer d'un compte qui vous autorise l'accès des données en pied de station.}

\item{date_deb}{Date de début de la série de donnée.}

\item{frequence}{Argument optionnel, par défaut la fréquence renvoyée est le mois. Valeur possible : 'decade' ou 'mois'}

\item{dat_fin}{Date de fin de la série de donnée, la date de fin doit être supérieure à la date de début.}
}
\value{
Renvoi un data frame contenant les données cumulées ou moyennées par mois ou par décade.
}
\description{
Cette Fonction permet de calculer le cumul des pluies et des températures moyennes par mois ou par décade.
Cette fonction nécessite le package 'dplyr'.
}
\examples{
synthese_data_mto(credential,"97416465","01/01/2012","31/12/2022")
synthese_data_mto(credential,"97416465","01/01/2012","31/12/2022",'decade')
#' @examples synthese_data_mto(credential,"97416465","01/01/2012","31/12/2022",'mois')
}
