% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wssmartis.R
\name{synthese_data_mto}
\alias{synthese_data_mto}
\title{Fonction de synthèse des données météorologiques (pluies et températures moyennes)}
\usage{
synthese_data_mto(credential, idstation, date_deb, date_fin, frequence)
}
\arguments{
\item{credential}{Obtenu par l'appel de la fonction get_credential('login','password')}

\item{idstation}{Identifiant de la station météo. Vous devez disposer d'un compte qui vous autorise l'accès des données en pied de station.}

\item{date_deb}{Date de début de la série de donnée.}

\item{frequence}{Argument optionnel, par défaut la fréquence renvoyée est le mois. Valeur possible : 'decade' ou 'mois'}

\item{dat_fin}{Date de fin de la série de donnée, la date de fin doit être supérieure à la date de début.}
}
\value{
Renvoi un data frame contenant la synthèse par mois ou par décade selon la fréquence choisie des pluies et des températures. La pluie renvoyée est la moyenne inter-annuelle des cumuls de pluie par décade ou par mois. La température est la moyenne des températures de tous les années et mois présent dans la série.
}
\description{
Cette Fonction permet de faire une synthèse des pluies et des températures moyennes par mois ou par décade en calculant la moyenne inter annuelle des pluies et la moyenne des température par mois ou par décade.
Cette fonction nécessite le package 'dplyr'.
}
\examples{
synthese_data_mto(credential,"97416465","01/01/2012","31/12/2022")
synthese_data_mto(credential,"97416465","01/01/2012","31/12/2022",'decade')
#' @examples synthese_data_mto(credential,"97416465","01/01/2012","31/12/2022",'mois')
}
